Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.exceptions
Class GrailsDataSourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.exceptions.GrailsDataSourceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataSourceRequiredPropertyMissingException, MoreThanOneActiveDataSourceException

    public abstract class GrailsDataSourceException

extends GrailsException

Base exception for errors related to Grails data sources.

Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`GrailsDataSourceException()`
`GrailsDataSourceException(String message)`
`GrailsDataSourceException(String message, Throwable cause)`
`GrailsDataSourceException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsDataSourceException

    public GrailsDataSourceException()

### GrailsDataSourceException

    public GrailsDataSourceException(String message)

### GrailsDataSourceException

    public GrailsDataSourceException(String message,
                                     Throwable cause)

### GrailsDataSourceException

    public GrailsDataSourceException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD